#declare VP = <!LOCATION!>;
//#declare ConstC = <-1,0.2,0,0>;
#declare VU = <!SKY!>;

camera {
   !PATH!
   up !UP!
   right !RIGHT!
   angle !ANGLE!
   sky VU
   look_at <!LOOKAT!>
}

global_settings {
   ambient_light
   rgb <1,1,1>
}

background {
   color rgb <!BACKGROUNDCOLOR!>
}

light_source {
   VP + VU
   color rgb <1,1,1>
}

julia_fractal {
   <!C!>
   quaternion
   sqr                       // Q(n+1) = Q(n)^2 + c
   max_iteration !MAXIT!         // Default: 20
   precision !PRECISION!            // Default: 20
   slice <!SLICE!> 0         // Progressive slices
   pigment {
      rgbf <!FRACTCOLOR!>
   }
   finish {
      ambient 0.3
      diffuse 0.7
      specular 1
      brilliance 5
      metallic
      roughness 0.1
      reflection 0.3
   }
}

